# $Revision: 1.43 $, $Date: 2010/08/21 19:08:00 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTTP
%define		_subclass	Request
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - provides an easy way to perform HTTP requests
Summary(pl.UTF-8):	%{_pearname} - daje łatwy sposób przygotowania wywołań HTTP
Name:		php-pear-%{_pearname}
Version:	1.4.4
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e7590ac0b912362b7ce85e247aefa8a6
URL:		http://pear.php.net/package/HTTP_Request/
BuildRequires:	php-pear-PEAR >= 1:1.4.3
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0.2
Requires:	php-pear-Net_Socket >= 1.0.7
Requires:	php-pear-Net_URL >= 1.0.12
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Supports GET/POST/HEAD/TRACE/PUT/DELETE, Basic authentication, Proxy,
Proxy Authentication etc.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Obsługuje metody GET/POST/HEAD/TRACE/PUT/DELETE, metodę
uwierzytelniania Basic, Proxy, uwierzytelnianie Proxy itp.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP_Request.spec,v $
Revision 1.43  2010/08/21 19:08:00  glen
- updated deps with pearize.sh
- release 2

Revision 1.42  2008/12/26 01:47:54  adamg
- updated to 1.4.4

Revision 1.41  2008/07/23 07:19:20  adamg
- updated to 1.4.3

Revision 1.40  2008-01-31 12:16:07  glen
- rel 2

Revision 1.39  2007-11-01 11:46:22  adamg
- updated to 1.4.2

Revision 1.38  2007/09/01 18:28:39  adamg
- updated to 1.4.1

Revision 1.37  2007/02/26 11:28:30  qboosh
- typo

Revision 1.36  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.34  2006/11/02 12:54:06  glen
- 1.4.0

Revision 1.33  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.32  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.31  2005/11/21 18:03:10  glen
- 1.3.0

Revision 1.30  2005/11/20 16:26:33  glen
- rel 4

Revision 1.29  2005/10/05 20:11:06  glen
- rel 3

Revision 1.28  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.27  2005/09/30 14:17:39  glen
- rel 2

Revision 1.26  2005/09/19 21:43:39  glen
- integer BR

Revision 1.25  2005/09/19 17:26:46  glen
- use new pear packaging system

Revision 1.24  2005/01/01 09:21:42  adamg
- updated to 1.2.4

Revision 1.23  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.22  2004/10/01 19:26:42  adamg
- updated to 1.2.3

Revision 1.21  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.20  2004/05/23 18:42:22  adamg
- updated to 1.2.2

Revision 1.19  2004/05/01 17:32:05  adamg
- updated to 1.2.1

Revision 1.18  2003/11/25 09:41:30  qboosh
- fixed file list (dir listed twice, BTS#775)

Revision 1.17  2003/10/27 17:16:10  adamg
- updated to 1.2; added missing files

Revision 1.16  2003/10/07 20:55:00  adamg
- do not use macros in URL

Revision 1.15  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.14  2003/05/28 08:58:38  adamg
- massive attack: added source0-md5

Revision 1.13  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/02/01 16:05:52  blues
- cosmetic

Revision 1.11  2003/01/31 22:09:39  blues
- 1.1.1 - stable release - STBR to Ra Updates

Revision 1.10  2002/10/14 23:43:22  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.9  2002/09/16 19:30:20  blues
- 1.0.2 - STBR

Revision 1.8  2002/09/07 06:36:45  blues
- fix in macros

Revision 1.7  2002/07/27 15:16:18  blues
- 1.0.1 (only license change) - STBR

Revision 1.6  2002/07/12 23:41:09  blues
- release 2 (rebuild with new rpm)

Revision 1.5  2002/07/12 08:25:25  blues
- missing Req. and BR added

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:25:14  qboosh
- better pl

Revision 1.2  2002/06/25 12:37:45  blues
- more macros

Revision 1.1  2002/06/25 10:14:23  blues
- HTTP_Request class
